DEVICE_ENABLE(9)

NAME
device_enable, device_disable, device_is_enabled - manipulate device enabled flag

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
device_enable(device_t dev);
void
device_disable(device_t dev);
int
device_is_enabled(device_t dev);

DESCRIPTION
Each device has an enabled flag associated with it. A device is enabled by default when it is created but may be disabled (for instance to prevent a destructive or time consuming probe attempt). To disable a device, call device_disable(), to re-enable it, call device_enable() and to test to see if a device is enabled, call device_is_enabled().

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.